## org.eclipse.datatools.modelbase.sql.schema
Interface SQLSchemaPackage

All Known Implementing Classes:
  SQLSchemaPackageImpl

public interface SQLSchemaPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLSchemaFactory`

Field Summary
`static int` `DATABASE` The meta object id for the '`Database`' class.
`static int` `DATABASE__AUTHORIZATION_IDS` The feature id for the 'Authorization Ids' reference list.
`static int` `DATABASE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DATABASE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DATABASE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DATABASE__EVENTS` The feature id for the 'Events' reference list.
`static int` `DATABASE__LABEL` The feature id for the 'Label' attribute.
`static int` `DATABASE__NAME` The feature id for the 'Name' attribute.
`static int` `DATABASE__SCHEMAS` The feature id for the 'Schemas' reference list.
`static int` `DATABASE__VENDOR` The feature id for the 'Vendor' attribute.
`static int` `DATABASE__VERSION` The feature id for the 'Version' attribute.
`static int` `DATABASE_FEATURE_COUNT` The number of structural features of the the 'Database' class.
`static int` `DATE` The meta object id for the 'Date' data type.
`static int` `DEPENDENCY` The meta object id for the '`Dependency`' class.
`static int` `DEPENDENCY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `DEPENDENCY__DEPENDENCY_TYPE` The feature id for the 'Dependency Type' attribute.
`static int` `DEPENDENCY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DEPENDENCY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `DEPENDENCY__LABEL` The feature id for the 'Label' attribute.
`static int` `DEPENDENCY__NAME` The feature id for the 'Name' attribute.
`static int` `DEPENDENCY__TARGET_END` The feature id for the 'Target End' reference.
`static int` `DEPENDENCY_FEATURE_COUNT` The number of structural features of the the 'Dependency' class.
`static SQLSchemaPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EVENT` The meta object id for the '`Event`' class.
`static int` `EVENT__ACTION` The feature id for the 'Action' attribute.
`static int` `EVENT__CONDITION` The feature id for the 'Condition' attribute.
`static int` `EVENT__DATABASE` The feature id for the 'Database' reference.
`static int` `EVENT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `EVENT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `EVENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `EVENT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` `EVENT__FOR` The feature id for the 'For' attribute.
`static int` `EVENT__LABEL` The feature id for the 'Label' attribute.
`static int` `EVENT__NAME` The feature id for the 'Name' attribute.
`static int` `EVENT_FEATURE_COUNT` The number of structural features of the the 'Event' class.
`static int` `GENERATE_TYPE` The meta object id for the '`Generate Type`' enum.
`static int` `IDENTITY_SPECIFIER` The meta object id for the '`Identity Specifier`' class.
`static int` `IDENTITY_SPECIFIER__CYCLE_OPTION` The feature id for the 'Cycle Option' attribute.
`static int` `IDENTITY_SPECIFIER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `IDENTITY_SPECIFIER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `IDENTITY_SPECIFIER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `IDENTITY_SPECIFIER__GENERATION_TYPE` The feature id for the 'Generation Type' attribute.
`static int` `IDENTITY_SPECIFIER__INCREMENT` The feature id for the 'Increment' attribute.
`static int` `IDENTITY_SPECIFIER__LABEL` The feature id for the 'Label' attribute.
`static int` `IDENTITY_SPECIFIER__MAXIMUM` The feature id for the 'Maximum' attribute.
`static int` `IDENTITY_SPECIFIER__MINIMUM` The feature id for the 'Minimum' attribute.
`static int` `IDENTITY_SPECIFIER__NAME` The feature id for the 'Name' attribute.
`static int` `IDENTITY_SPECIFIER__START_VALUE` The feature id for the 'Start Value' attribute.
`static int` `IDENTITY_SPECIFIER_FEATURE_COUNT` The number of structural features of the the 'Identity Specifier' class.
`static int` `LIST` The meta object id for the 'List' data type.
`static int` `REFERENTIAL_ACTION_TYPE` The meta object id for the '`Referential Action Type`' enum.
`static int` `SCHEMA` The meta object id for the '`Schema`' class.
`static int` `SCHEMA__ASSERTIONS` The feature id for the 'Assertions' reference list.
`static int` `SCHEMA__CHAR_SETS` The feature id for the 'Char Sets' reference list.
`static int` `SCHEMA__DATABASE` The feature id for the 'Database' reference.
`static int` `SCHEMA__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SCHEMA__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SCHEMA__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SCHEMA__INDICES` The feature id for the 'Indices' reference list.
`static int` `SCHEMA__LABEL` The feature id for the 'Label' attribute.
`static int` `SCHEMA__NAME` The feature id for the 'Name' attribute.
`static int` `SCHEMA__OWNER` The feature id for the 'Owner' reference.
`static int` `SCHEMA__ROUTINES` The feature id for the 'Routines' reference list.
`static int` `SCHEMA__SEQUENCES` The feature id for the 'Sequences' reference list.
`static int` `SCHEMA__TABLES` The feature id for the 'Tables' reference list.
`static int` `SCHEMA__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SCHEMA__USER_DEFINED_TYPES` The feature id for the 'User Defined Types' reference list.
`static int` `SCHEMA_FEATURE_COUNT` The number of structural features of the the 'Schema' class.
`static int` `SEQUENCE` The meta object id for the '`Sequence`' class.
`static int` `SEQUENCE__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `SEQUENCE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SEQUENCE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SEQUENCE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SEQUENCE__IDENTITY` The feature id for the 'Identity' containment reference.
`static int` `SEQUENCE__LABEL` The feature id for the 'Label' attribute.
`static int` `SEQUENCE__NAME` The feature id for the 'Name' attribute.
`static int` `SEQUENCE__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `SEQUENCE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SEQUENCE_FEATURE_COUNT` The number of structural features of the the 'Sequence' class.
`static int` `SQL_OBJECT` The meta object id for the '`SQL Object`' class.
`static int` `SQL_OBJECT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SQL_OBJECT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SQL_OBJECT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SQL_OBJECT__LABEL` The feature id for the 'Label' attribute.
`static int` `SQL_OBJECT__NAME` The feature id for the 'Name' attribute.
`static int` `SQL_OBJECT_FEATURE_COUNT` The number of structural features of the the 'SQL Object' class.
`static int` `TYPED_ELEMENT` The meta object id for the '`Typed Element`' class.
`static int` `TYPED_ELEMENT__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `TYPED_ELEMENT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `TYPED_ELEMENT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TYPED_ELEMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `TYPED_ELEMENT__LABEL` The feature id for the 'Label' attribute.
`static int` `TYPED_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `TYPED_ELEMENT__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `TYPED_ELEMENT_FEATURE_COUNT` The number of structural features of the the 'Typed Element' class.

Method Summary
`EReference` `getDatabase_AuthorizationIds()` Returns the meta object for the reference list '`Authorization Ids`'.
`EReference` `getDatabase_Events()` Returns the meta object for the reference list '`Events`'.
`EReference` `getDatabase_Schemas()` Returns the meta object for the reference list '`Schemas`'.
`EAttribute` `getDatabase_Vendor()` Returns the meta object for the attribute '`Vendor`'.
`EAttribute` `getDatabase_Version()` Returns the meta object for the attribute '`Version`'.
`EClass` `getDatabase()` Returns the meta object for class '`Database`'.
`EDataType` `getDate()` Returns the meta object for data type '`Date`'.
`EAttribute` `getDependency_DependencyType()` Returns the meta object for the attribute '`Dependency Type`'.
`EReference` `getDependency_TargetEnd()` Returns the meta object for the reference '`Target End`'.
`EClass` `getDependency()` Returns the meta object for class '`Dependency`'.
`EAttribute` `getEvent_Action()` Returns the meta object for the attribute '`Action`'.
`EAttribute` `getEvent_Condition()` Returns the meta object for the attribute '`Condition`'.
`EReference` `getEvent_Database()` Returns the meta object for the reference '`Database`'.
`EAttribute` `getEvent_Enabled()` Returns the meta object for the attribute '`Enabled`'.
`EAttribute` `getEvent_For()` Returns the meta object for the attribute '`For`'.
`EClass` `getEvent()` Returns the meta object for class '`Event`'.
`EEnum` `getGenerateType()` Returns the meta object for enum '`Generate Type`'.
`EAttribute` `getIdentitySpecifier_CycleOption()` Returns the meta object for the attribute '`Cycle Option`'.
`EAttribute` `getIdentitySpecifier_GenerationType()` Returns the meta object for the attribute '`Generation Type`'.
`EAttribute` `getIdentitySpecifier_Increment()` Returns the meta object for the attribute '`Increment`'.
`EAttribute` `getIdentitySpecifier_Maximum()` Returns the meta object for the attribute '`Maximum`'.
`EAttribute` `getIdentitySpecifier_Minimum()` Returns the meta object for the attribute '`Minimum`'.
`EAttribute` `getIdentitySpecifier_StartValue()` Returns the meta object for the attribute '`Start Value`'.
`EClass` `getIdentitySpecifier()` Returns the meta object for class '`Identity Specifier`'.
`EDataType` `getList()` Returns the meta object for data type '`List`'.
`EEnum` `getReferentialActionType()` Returns the meta object for enum '`Referential Action Type`'.
`EReference` `getSchema_Assertions()` Returns the meta object for the reference list '`Assertions`'.
`EReference` `getSchema_CharSets()` Returns the meta object for the reference list '`Char Sets`'.
`EReference` `getSchema_Database()` Returns the meta object for the reference '`Database`'.
`EReference` `getSchema_Indices()` Returns the meta object for the reference list '`Indices`'.
`EReference` `getSchema_Owner()` Returns the meta object for the reference '`Owner`'.
`EReference` `getSchema_Routines()` Returns the meta object for the reference list '`Routines`'.
`EReference` `getSchema_Sequences()` Returns the meta object for the reference list '`Sequences`'.
`EReference` `getSchema_Tables()` Returns the meta object for the reference list '`Tables`'.
`EReference` `getSchema_Triggers()` Returns the meta object for the reference list '`Triggers`'.
`EReference` `getSchema_UserDefinedTypes()` Returns the meta object for the reference list '`User Defined Types`'.
`EClass` `getSchema()` Returns the meta object for class '`Schema`'.
`EReference` `getSequence_Identity()` Returns the meta object for the containment reference '`Identity`'.
`EReference` `getSequence_Schema()` Returns the meta object for the reference '`Schema`'.
`EClass` `getSequence()` Returns the meta object for class '`Sequence`'.
`EReference` `getSQLObject_Dependencies()` Returns the meta object for the containment reference list '`Dependencies`'.
`EAttribute` `getSQLObject_Description()` Returns the meta object for the attribute '`Description`'.
`EAttribute` `getSQLObject_Label()` Returns the meta object for the attribute '`Label`'.
`EClass` `getSQLObject()` Returns the meta object for class '`SQL Object`'.
`SQLSchemaFactory` `getSQLSchemaFactory()` Returns the factory that creates the instances of the model.
`EReference` `getTypedElement_ContainedType()` Returns the meta object for the containment reference '`Contained Type`'.
`EReference` `getTypedElement_ReferencedType()` Returns the meta object for the reference '`Referenced Type`'.
`EClass` `getTypedElement()` Returns the meta object for class '`Typed Element`'.

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    public static final SQLSchemaPackage eINSTANCE

  The singleton instance of the package.

### IDENTITY_SPECIFIER

    public static final int IDENTITY_SPECIFIER

  The meta object id for the '`Identity Specifier`' class.

  See Also:
    `IdentitySpecifierImpl`, `SQLSchemaPackageImpl.getIdentitySpecifier()`, Constant Field Values

### SQL_OBJECT

    public static final int SQL_OBJECT

  The meta object id for the '`SQL Object`' class.

  See Also:
    `SQLObjectImpl`, `SQLSchemaPackageImpl.getSQLObject()`, Constant Field Values

### SQL_OBJECT__EANNOTATIONS

    public static final int SQL_OBJECT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SQL_OBJECT__NAME

    public static final int SQL_OBJECT__NAME

  The feature id for the 'Name' attribute.

### SQL_OBJECT__DEPENDENCIES

    public static final int SQL_OBJECT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### SQL_OBJECT__DESCRIPTION

    public static final int SQL_OBJECT__DESCRIPTION

  The feature id for the 'Description' attribute.

### SQL_OBJECT__LABEL

    public static final int SQL_OBJECT__LABEL

  The feature id for the 'Label' attribute.

### SQL_OBJECT_FEATURE_COUNT

    public static final int SQL_OBJECT_FEATURE_COUNT

  The number of structural features of the the 'SQL Object' class.

### IDENTITY_SPECIFIER__EANNOTATIONS

    public static final int IDENTITY_SPECIFIER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### IDENTITY_SPECIFIER__NAME

    public static final int IDENTITY_SPECIFIER__NAME

  The feature id for the 'Name' attribute.

### IDENTITY_SPECIFIER__DEPENDENCIES

    public static final int IDENTITY_SPECIFIER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### IDENTITY_SPECIFIER__DESCRIPTION

    public static final int IDENTITY_SPECIFIER__DESCRIPTION

  The feature id for the 'Description' attribute.

### IDENTITY_SPECIFIER__LABEL

    public static final int IDENTITY_SPECIFIER__LABEL

  The feature id for the 'Label' attribute.

### IDENTITY_SPECIFIER__GENERATION_TYPE

    public static final int IDENTITY_SPECIFIER__GENERATION_TYPE

  The feature id for the 'Generation Type' attribute.

### IDENTITY_SPECIFIER__START_VALUE

    public static final int IDENTITY_SPECIFIER__START_VALUE

  The feature id for the 'Start Value' attribute.

### IDENTITY_SPECIFIER__INCREMENT

    public static final int IDENTITY_SPECIFIER__INCREMENT

  The feature id for the 'Increment' attribute.

### IDENTITY_SPECIFIER__MINIMUM

    public static final int IDENTITY_SPECIFIER__MINIMUM

  The feature id for the 'Minimum' attribute.

### IDENTITY_SPECIFIER__MAXIMUM

    public static final int IDENTITY_SPECIFIER__MAXIMUM

  The feature id for the 'Maximum' attribute.

### IDENTITY_SPECIFIER__CYCLE_OPTION

    public static final int IDENTITY_SPECIFIER__CYCLE_OPTION

  The feature id for the 'Cycle Option' attribute.

### IDENTITY_SPECIFIER_FEATURE_COUNT

    public static final int IDENTITY_SPECIFIER_FEATURE_COUNT

  The number of structural features of the the 'Identity Specifier' class.

### TYPED_ELEMENT

    public static final int TYPED_ELEMENT

  The meta object id for the '`Typed Element`' class.

  See Also:
    `TypedElementImpl`, `SQLSchemaPackageImpl.getTypedElement()`, Constant Field Values

### TYPED_ELEMENT__EANNOTATIONS

    public static final int TYPED_ELEMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### TYPED_ELEMENT__NAME

    public static final int TYPED_ELEMENT__NAME

  The feature id for the 'Name' attribute.

### TYPED_ELEMENT__DEPENDENCIES

    public static final int TYPED_ELEMENT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### TYPED_ELEMENT__DESCRIPTION

    public static final int TYPED_ELEMENT__DESCRIPTION

  The feature id for the 'Description' attribute.

### TYPED_ELEMENT__LABEL

    public static final int TYPED_ELEMENT__LABEL

  The feature id for the 'Label' attribute.

### TYPED_ELEMENT__CONTAINED_TYPE

    public static final int TYPED_ELEMENT__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

### TYPED_ELEMENT__REFERENCED_TYPE

    public static final int TYPED_ELEMENT__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

### TYPED_ELEMENT_FEATURE_COUNT

    public static final int TYPED_ELEMENT_FEATURE_COUNT

  The number of structural features of the the 'Typed Element' class.

### DEPENDENCY

    public static final int DEPENDENCY

  The meta object id for the '`Dependency`' class.

  See Also:
    `DependencyImpl`, `SQLSchemaPackageImpl.getDependency()`, Constant Field Values

### DEPENDENCY__EANNOTATIONS

    public static final int DEPENDENCY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DEPENDENCY__NAME

    public static final int DEPENDENCY__NAME

  The feature id for the 'Name' attribute.

### DEPENDENCY__DEPENDENCIES

    public static final int DEPENDENCY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DEPENDENCY__DESCRIPTION

    public static final int DEPENDENCY__DESCRIPTION

  The feature id for the 'Description' attribute.

### DEPENDENCY__LABEL

    public static final int DEPENDENCY__LABEL

  The feature id for the 'Label' attribute.

### DEPENDENCY__TARGET_END

    public static final int DEPENDENCY__TARGET_END

  The feature id for the 'Target End' reference.

### DEPENDENCY__DEPENDENCY_TYPE

    public static final int DEPENDENCY__DEPENDENCY_TYPE

  The feature id for the 'Dependency Type' attribute.

### DEPENDENCY_FEATURE_COUNT

    public static final int DEPENDENCY_FEATURE_COUNT

  The number of structural features of the the 'Dependency' class.

### SCHEMA

    public static final int SCHEMA

  The meta object id for the '`Schema`' class.

  See Also:
    `SchemaImpl`, `SQLSchemaPackageImpl.getSchema()`, Constant Field Values

### SCHEMA__EANNOTATIONS

    public static final int SCHEMA__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SCHEMA__NAME

    public static final int SCHEMA__NAME

  The feature id for the 'Name' attribute.

### SCHEMA__DEPENDENCIES

    public static final int SCHEMA__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### SCHEMA__DESCRIPTION

    public static final int SCHEMA__DESCRIPTION

  The feature id for the 'Description' attribute.

### SCHEMA__LABEL

    public static final int SCHEMA__LABEL

  The feature id for the 'Label' attribute.

### SCHEMA__TRIGGERS

    public static final int SCHEMA__TRIGGERS

  The feature id for the 'Triggers' reference list.

### SCHEMA__INDICES

    public static final int SCHEMA__INDICES

  The feature id for the 'Indices' reference list.

### SCHEMA__TABLES

    public static final int SCHEMA__TABLES

  The feature id for the 'Tables' reference list.

### SCHEMA__SEQUENCES

    public static final int SCHEMA__SEQUENCES

  The feature id for the 'Sequences' reference list.

### SCHEMA__DATABASE

    public static final int SCHEMA__DATABASE

  The feature id for the 'Database' reference.

### SCHEMA__ASSERTIONS

    public static final int SCHEMA__ASSERTIONS

  The feature id for the 'Assertions' reference list.

### SCHEMA__USER_DEFINED_TYPES

    public static final int SCHEMA__USER_DEFINED_TYPES

  The feature id for the 'User Defined Types' reference list.

### SCHEMA__CHAR_SETS

    public static final int SCHEMA__CHAR_SETS

  The feature id for the 'Char Sets' reference list.

### SCHEMA__ROUTINES

    public static final int SCHEMA__ROUTINES

  The feature id for the 'Routines' reference list.

### SCHEMA__OWNER

    public static final int SCHEMA__OWNER

  The feature id for the 'Owner' reference.

### SCHEMA_FEATURE_COUNT

    public static final int SCHEMA_FEATURE_COUNT

  The number of structural features of the the 'Schema' class.

### SEQUENCE

    public static final int SEQUENCE

  The meta object id for the '`Sequence`' class.

  See Also:
    `SequenceImpl`, `SQLSchemaPackageImpl.getSequence()`, Constant Field Values

### SEQUENCE__EANNOTATIONS

    public static final int SEQUENCE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SEQUENCE__NAME

    public static final int SEQUENCE__NAME

  The feature id for the 'Name' attribute.

### SEQUENCE__DEPENDENCIES

    public static final int SEQUENCE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### SEQUENCE__DESCRIPTION

    public static final int SEQUENCE__DESCRIPTION

  The feature id for the 'Description' attribute.

### SEQUENCE__LABEL

    public static final int SEQUENCE__LABEL

  The feature id for the 'Label' attribute.

### SEQUENCE__CONTAINED_TYPE

    public static final int SEQUENCE__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

### SEQUENCE__REFERENCED_TYPE

    public static final int SEQUENCE__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

### SEQUENCE__IDENTITY

    public static final int SEQUENCE__IDENTITY

  The feature id for the 'Identity' containment reference.

### SEQUENCE__SCHEMA

    public static final int SEQUENCE__SCHEMA

  The feature id for the 'Schema' reference.

### SEQUENCE_FEATURE_COUNT

    public static final int SEQUENCE_FEATURE_COUNT

  The number of structural features of the the 'Sequence' class.

### DATABASE

    public static final int DATABASE

  The meta object id for the '`Database`' class.

  See Also:
    `DatabaseImpl`, `SQLSchemaPackageImpl.getDatabase()`, Constant Field Values

### DATABASE__EANNOTATIONS

    public static final int DATABASE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### DATABASE__NAME

    public static final int DATABASE__NAME

  The feature id for the 'Name' attribute.

### DATABASE__DEPENDENCIES

    public static final int DATABASE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### DATABASE__DESCRIPTION

    public static final int DATABASE__DESCRIPTION

  The feature id for the 'Description' attribute.

### DATABASE__LABEL

    public static final int DATABASE__LABEL

  The feature id for the 'Label' attribute.

### DATABASE__VENDOR

    public static final int DATABASE__VENDOR

  The feature id for the 'Vendor' attribute.

### DATABASE__VERSION

    public static final int DATABASE__VERSION

  The feature id for the 'Version' attribute.

### DATABASE__SCHEMAS

    public static final int DATABASE__SCHEMAS

  The feature id for the 'Schemas' reference list.

### DATABASE__EVENTS

    public static final int DATABASE__EVENTS

  The feature id for the 'Events' reference list.

### DATABASE__AUTHORIZATION_IDS

    public static final int DATABASE__AUTHORIZATION_IDS

  The feature id for the 'Authorization Ids' reference list.

### DATABASE_FEATURE_COUNT

    public static final int DATABASE_FEATURE_COUNT

  The number of structural features of the the 'Database' class.

### EVENT

    public static final int EVENT

  The meta object id for the '`Event`' class.

  See Also:
    `EventImpl`, `SQLSchemaPackageImpl.getEvent()`, Constant Field Values

### EVENT__EANNOTATIONS

    public static final int EVENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### EVENT__NAME

    public static final int EVENT__NAME

  The feature id for the 'Name' attribute.

### EVENT__DEPENDENCIES

    public static final int EVENT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### EVENT__DESCRIPTION

    public static final int EVENT__DESCRIPTION

  The feature id for the 'Description' attribute.

### EVENT__LABEL

    public static final int EVENT__LABEL

  The feature id for the 'Label' attribute.

### EVENT__FOR

    public static final int EVENT__FOR

  The feature id for the 'For' attribute.

### EVENT__CONDITION

    public static final int EVENT__CONDITION

  The feature id for the 'Condition' attribute.

### EVENT__ACTION

    public static final int EVENT__ACTION

  The feature id for the 'Action' attribute.

### EVENT__ENABLED

    public static final int EVENT__ENABLED

  The feature id for the 'Enabled' attribute.

### EVENT__DATABASE

    public static final int EVENT__DATABASE

  The feature id for the 'Database' reference.

### EVENT_FEATURE_COUNT

    public static final int EVENT_FEATURE_COUNT

  The number of structural features of the the 'Event' class.

### GENERATE_TYPE

    public static final int GENERATE_TYPE

  The meta object id for the '`Generate Type`' enum.

  See Also:
    `GenerateType`, `SQLSchemaPackageImpl.getGenerateType()`, Constant Field Values

### REFERENTIAL_ACTION_TYPE

    public static final int REFERENTIAL_ACTION_TYPE

  The meta object id for the '`Referential Action Type`' enum.

  See Also:
    `ReferentialActionType`, `SQLSchemaPackageImpl.getReferentialActionType()`, Constant Field Values

### DATE

    public static final int DATE

  The meta object id for the 'Date' data type.

  See Also:
    `Date`, `SQLSchemaPackageImpl.getDate()`, Constant Field Values

### LIST

    public static final int LIST

  The meta object id for the 'List' data type.

  See Also:
    `List`, `SQLSchemaPackageImpl.getList()`, Constant Field Values

Method Detail

### getIdentitySpecifier

    public EClass getIdentitySpecifier()

  Returns the meta object for class '`Identity Specifier`'.

  Returns:
    the meta object for class 'Identity Specifier'.
  See Also:
    `IdentitySpecifier`

### getIdentitySpecifier_GenerationType

    public EAttribute getIdentitySpecifier_GenerationType()

  Returns the meta object for the attribute '`Generation Type`'.

  Returns:
    the meta object for the attribute 'Generation Type'.
  See Also:
    `IdentitySpecifier.getGenerationType()`, `getIdentitySpecifier()`

### getIdentitySpecifier_StartValue

    public EAttribute getIdentitySpecifier_StartValue()

  Returns the meta object for the attribute '`Start Value`'.

  Returns:
    the meta object for the attribute 'Start Value'.
  See Also:
    `IdentitySpecifier.getStartValue()`, `getIdentitySpecifier()`

### getIdentitySpecifier_Increment

    public EAttribute getIdentitySpecifier_Increment()

  Returns the meta object for the attribute '`Increment`'.

  Returns:
    the meta object for the attribute 'Increment'.
  See Also:
    `IdentitySpecifier.getIncrement()`, `getIdentitySpecifier()`

### getIdentitySpecifier_Minimum

    public EAttribute getIdentitySpecifier_Minimum()

  Returns the meta object for the attribute '`Minimum`'.

  Returns:
    the meta object for the attribute 'Minimum'.
  See Also:
    `IdentitySpecifier.getMinimum()`, `getIdentitySpecifier()`

### getIdentitySpecifier_Maximum

    public EAttribute getIdentitySpecifier_Maximum()

  Returns the meta object for the attribute '`Maximum`'.

  Returns:
    the meta object for the attribute 'Maximum'.
  See Also:
    `IdentitySpecifier.getMaximum()`, `getIdentitySpecifier()`

### getIdentitySpecifier_CycleOption

    public EAttribute getIdentitySpecifier_CycleOption()

  Returns the meta object for the attribute '`Cycle Option`'.

  Returns:
    the meta object for the attribute 'Cycle Option'.
  See Also:
    `IdentitySpecifier.isCycleOption()`, `getIdentitySpecifier()`

### getTypedElement

    public EClass getTypedElement()

  Returns the meta object for class '`Typed Element`'.

  Returns:
    the meta object for class 'Typed Element'.
  See Also:
    `TypedElement`

### getTypedElement_ContainedType

    public EReference getTypedElement_ContainedType()

  Returns the meta object for the containment reference '`Contained Type`'.

  Returns:
    the meta object for the containment reference 'Contained Type'.
  See Also:
    `TypedElement.getContainedType()`, `getTypedElement()`

### getTypedElement_ReferencedType

    public EReference getTypedElement_ReferencedType()

  Returns the meta object for the reference '`Referenced Type`'.

  Returns:
    the meta object for the reference 'Referenced Type'.
  See Also:
    `TypedElement.getReferencedType()`, `getTypedElement()`

### getDependency

    public EClass getDependency()

  Returns the meta object for class '`Dependency`'.

  Returns:
    the meta object for class 'Dependency'.
  See Also:
    `Dependency`

### getDependency_TargetEnd

    public EReference getDependency_TargetEnd()

  Returns the meta object for the reference '`Target End`'.

  Returns:
    the meta object for the reference 'Target End'.
  See Also:
    `Dependency.getTargetEnd()`, `getDependency()`

### getDependency_DependencyType

    public EAttribute getDependency_DependencyType()

  Returns the meta object for the attribute '`Dependency Type`'.

  Returns:
    the meta object for the attribute 'Dependency Type'.
  See Also:
    `Dependency.getDependencyType()`, `getDependency()`

### getSchema

    public EClass getSchema()

  Returns the meta object for class '`Schema`'.

  Returns:
    the meta object for class 'Schema'.
  See Also:
    `Schema`

### getSchema_Triggers

    public EReference getSchema_Triggers()

  Returns the meta object for the reference list '`Triggers`'.

  Returns:
    the meta object for the reference list 'Triggers'.
  See Also:
    `Schema.getTriggers()`, `getSchema()`

### getSchema_Indices

    public EReference getSchema_Indices()

  Returns the meta object for the reference list '`Indices`'.

  Returns:
    the meta object for the reference list 'Indices'.
  See Also:
    `Schema.getIndices()`, `getSchema()`

### getSchema_Tables

    public EReference getSchema_Tables()

  Returns the meta object for the reference list '`Tables`'.

  Returns:
    the meta object for the reference list 'Tables'.
  See Also:
    `Schema.getTables()`, `getSchema()`

### getSchema_Sequences

    public EReference getSchema_Sequences()

  Returns the meta object for the reference list '`Sequences`'.

  Returns:
    the meta object for the reference list 'Sequences'.
  See Also:
    `Schema.getSequences()`, `getSchema()`

### getSchema_Database

    public EReference getSchema_Database()

  Returns the meta object for the reference '`Database`'.

  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `Schema.getDatabase()`, `getSchema()`

### getSchema_Assertions

    public EReference getSchema_Assertions()

  Returns the meta object for the reference list '`Assertions`'.

  Returns:
    the meta object for the reference list 'Assertions'.
  See Also:
    `Schema.getAssertions()`, `getSchema()`

### getSchema_UserDefinedTypes

    public EReference getSchema_UserDefinedTypes()

  Returns the meta object for the reference list '`User Defined Types`'.

  Returns:
    the meta object for the reference list 'User Defined Types'.
  See Also:
    `Schema.getUserDefinedTypes()`, `getSchema()`

### getSchema_CharSets

    public EReference getSchema_CharSets()

  Returns the meta object for the reference list '`Char Sets`'.

  Returns:
    the meta object for the reference list 'Char Sets'.
  See Also:
    `Schema.getCharSets()`, `getSchema()`

### getSchema_Routines

    public EReference getSchema_Routines()

  Returns the meta object for the reference list '`Routines`'.

  Returns:
    the meta object for the reference list 'Routines'.
  See Also:
    `Schema.getRoutines()`, `getSchema()`

### getSchema_Owner

    public EReference getSchema_Owner()

  Returns the meta object for the reference '`Owner`'.

  Returns:
    the meta object for the reference 'Owner'.
  See Also:
    `Schema.getOwner()`, `getSchema()`

### getSQLObject

    public EClass getSQLObject()

  Returns the meta object for class '`SQL Object`'.

  Returns:
    the meta object for class 'SQL Object'.
  See Also:
    `SQLObject`

### getSQLObject_Dependencies

    public EReference getSQLObject_Dependencies()

  Returns the meta object for the containment reference list '`Dependencies`'.

  Returns:
    the meta object for the containment reference list 'Dependencies'.
  See Also:
    `SQLObject.getDependencies()`, `getSQLObject()`

### getSQLObject_Description

    public EAttribute getSQLObject_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `SQLObject.getDescription()`, `getSQLObject()`

### getSQLObject_Label

    public EAttribute getSQLObject_Label()

  Returns the meta object for the attribute '`Label`'.

  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `SQLObject.getLabel()`, `getSQLObject()`

### getSequence

    public EClass getSequence()

  Returns the meta object for class '`Sequence`'.

  Returns:
    the meta object for class 'Sequence'.
  See Also:
    `Sequence`

### getSequence_Identity

    public EReference getSequence_Identity()

  Returns the meta object for the containment reference '`Identity`'.

  Returns:
    the meta object for the containment reference 'Identity'.
  See Also:
    `Sequence.getIdentity()`, `getSequence()`

### getSequence_Schema

    public EReference getSequence_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Sequence.getSchema()`, `getSequence()`

### getDatabase

    public EClass getDatabase()

  Returns the meta object for class '`Database`'.

  Returns:
    the meta object for class 'Database'.
  See Also:
    `Database`

### getDatabase_Vendor

    public EAttribute getDatabase_Vendor()

  Returns the meta object for the attribute '`Vendor`'.

  Returns:
    the meta object for the attribute 'Vendor'.
  See Also:
    `Database.getVendor()`, `getDatabase()`

### getDatabase_Version

    public EAttribute getDatabase_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `Database.getVersion()`, `getDatabase()`

### getDatabase_Schemas

    public EReference getDatabase_Schemas()

  Returns the meta object for the reference list '`Schemas`'.

  Returns:
    the meta object for the reference list 'Schemas'.
  See Also:
    `Database.getSchemas()`, `getDatabase()`

### getDatabase_Events

    public EReference getDatabase_Events()

  Returns the meta object for the reference list '`Events`'.

  Returns:
    the meta object for the reference list 'Events'.
  See Also:
    `Database.getEvents()`, `getDatabase()`

### getDatabase_AuthorizationIds

    public EReference getDatabase_AuthorizationIds()

  Returns the meta object for the reference list '`Authorization Ids`'.

  Returns:
    the meta object for the reference list 'Authorization Ids'.
  See Also:
    `Database.getAuthorizationIds()`, `getDatabase()`

### getEvent

    public EClass getEvent()

  Returns the meta object for class '`Event`'.

  Returns:
    the meta object for class 'Event'.
  See Also:
    `Event`

### getEvent_For

    public EAttribute getEvent_For()

  Returns the meta object for the attribute '`For`'.

  Returns:
    the meta object for the attribute 'For'.
  See Also:
    `Event.getFor()`, `getEvent()`

### getEvent_Condition

    public EAttribute getEvent_Condition()

  Returns the meta object for the attribute '`Condition`'.

  Returns:
    the meta object for the attribute 'Condition'.
  See Also:
    `Event.getCondition()`, `getEvent()`

### getEvent_Action

    public EAttribute getEvent_Action()

  Returns the meta object for the attribute '`Action`'.

  Returns:
    the meta object for the attribute 'Action'.
  See Also:
    `Event.getAction()`, `getEvent()`

### getEvent_Enabled

    public EAttribute getEvent_Enabled()

  Returns the meta object for the attribute '`Enabled`'.

  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `Event.isEnabled()`, `getEvent()`

### getEvent_Database

    public EReference getEvent_Database()

  Returns the meta object for the reference '`Database`'.

  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `Event.getDatabase()`, `getEvent()`

### getGenerateType

    public EEnum getGenerateType()

  Returns the meta object for enum '`Generate Type`'.

  Returns:
    the meta object for enum 'Generate Type'.
  See Also:
    `GenerateType`

### getReferentialActionType

    public EEnum getReferentialActionType()

  Returns the meta object for enum '`Referential Action Type`'.

  Returns:
    the meta object for enum 'Referential Action Type'.
  See Also:
    `ReferentialActionType`

### getDate

    public EDataType getDate()

  Returns the meta object for data type '`Date`'.

  Returns:
    the meta object for data type 'Date'.
  See Also:
    `Date`

### getList

    public EDataType getList()

  Returns the meta object for data type '`List`'.

  Returns:
    the meta object for data type 'List'.
  See Also:
    `List`

### getSQLSchemaFactory

    public SQLSchemaFactory getSQLSchemaFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.